Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.crowd
Class CrowdVCardProvider

    java.lang.Object
      org.jivesoftware.openfire.vcard.DefaultVCardProvider
          org.jivesoftware.openfire.crowd.CrowdVCardProvider

All Implemented Interfaces:
  VCardProvider

    public class CrowdVCardProvider

extends DefaultVCardProvider

VCard provider for Crowd.

The name, email will be provided by crowd. All other information can be managed by the XMPP client

Constructor Summary
`CrowdVCardProvider()`

Method Summary
`org.dom4j.Element` | `createVCard(String username, org.dom4j.Element vCardElement)` Creates and saves the new user vcard.
`org.dom4j.Element` | `loadVCard(String username)` Loads the specified user vcard by username.
`org.dom4j.Element` | `updateVCard(String username, org.dom4j.Element vCard)` Updates the user vcard in the backend store.

Methods inherited from class org.jivesoftware.openfire.vcard.DefaultVCardProvider
`deleteVCard, isReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrowdVCardProvider

    public CrowdVCardProvider()

Method Detail

### loadVCard

    public org.dom4j.Element loadVCard(String username)

  Description copied from interface: `VCardProvider`
  Loads the specified user vcard by username. Returns `null` if no vCard was found for the specified username.

  Specified by:
    `loadVCard` in interface `VCardProvider`
  Overrides:
    `loadVCard` in class `DefaultVCardProvider`
  Parameters:
    `username` - the username
  Returns:
    the vCard as an DOM element or `null` if none was found.
  See Also:
    `DefaultVCardProvider.loadVCard(java.lang.String)`

### createVCard

    public org.dom4j.Element createVCard(String username,
                                         org.dom4j.Element vCardElement)
                                  throws AlreadyExistsException

  Description copied from interface: `VCardProvider`
  Creates and saves the new user vcard. This method should throw an UnsupportedOperationException if this operation is not supported by the backend vcard store. The method is expected to return the vCard after it has had a chance to make any modifications to it that it needed to. In many cases, this may be a simple return of the passed in vCard. This change was made in 3.4.4.

  Specified by:
    `createVCard` in interface `VCardProvider`
  Overrides:
    `createVCard` in class `DefaultVCardProvider`
  Parameters:
    `username` - the username.
    `vCardElement` - the vCard to save.
  Returns:
    vCard as it is after the provider has a chance to adjust it.
  Throws:
    `AlreadyExistsException` - if the user already has a vCard.
  See Also:
    `DefaultVCardProvider.createVCard(java.lang.String, org.dom4j.Element)`

### updateVCard

    public org.dom4j.Element updateVCard(String username,
                                         org.dom4j.Element vCard)
                                  throws NotFoundException

  Description copied from interface: `VCardProvider`
  Updates the user vcard in the backend store. This method should throw an UnsupportedOperationException if this operation is not supported by the backend vcard store. The method is expected to return the vCard after it has had a chance to make any modifications to it that it needed to. In many cases, this may be a simple return of the passed in vCard. This change was made in 3.4.4.

  Specified by:
    `updateVCard` in interface `VCardProvider`
  Overrides:
    `updateVCard` in class `DefaultVCardProvider`
  Parameters:
    `username` - the username.
    `vCard` - the vCard to save.
  Returns:
    vCard as it is after the provider has a chance to adjust it.
  Throws:
    `NotFoundException` - if the vCard to update does not exist.
  See Also:
    `DefaultVCardProvider.updateVCard(java.lang.String, org.dom4j.Element)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.